html[a="dark"] {
    filter: invert(1)
}

html[a="dark"] img {
    filter: invert(1)
}

html[a="dark"] img.ioda {
    filter: invert(0)
}

@media (prefers-color-scheme: dark) {
    html[a="auto"] {
        filter: invert(1)
    }
    html[a="auto"] img {
        filter: invert(1)
    }
    html[a="auto"] img.ioda {
        filter: invert(0)
    }
}

html {
    color: black;
    background-color: white;
    font-family: 'PT Mono', monospace;
    font-size: 1.3rem;
    line-height: 1.3
}

h2,
h3,
h4,
h5,
h6 {
    margin-top: 3rem
}

hr {
    margin: 2rem 0
}

p {
    margin: 1rem 0
}

li {
    margin: 0.4rem 0
}

*:target {
    background-color: yellow
}

.wrapper {
    max-width: 60ch;
    margin: 4rem auto;
    padding: 0 1rem
}

hr {
    text-align: center;
    border: 0
}

hr:before {
    content: "/////"
}

hr:after {
    content: attr(data-content) "/////"
}

table,
th,
td {
    width: 100%;
    border: thin solid black;
    border-collapse: collapse;
    padding: 0.4rem
}

code {
    color: white;
    background-color: black
}

div.highlighter-rouge code {
    display: block;
    overflow-x: auto;
    padding: 1rem
}

blockquote {
    font-style: italic;
    border: thin solid black;
    padding: 1rem
}

blockquote p {
    margin: 0
}

img {
    max-width: 100%;
    display: block;
    margin: 0 auto
}